/* ====================================================================
 * Copyright (c) 2009       Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _PROJECTITEM_TEST_H
#define _PROJECTITEM_TEST_H

// cppunit
#include <cppunit/TestFixture.h>
#include <cppunit/extensions/HelperMacros.h>


class ProjectItemTest : public CppUnit::TestCase 
{
  CPPUNIT_TEST_SUITE( ProjectItemTest );
  CPPUNIT_TEST( testCreateSubItem );
  CPPUNIT_TEST( testEqualItem );
  CPPUNIT_TEST_SUITE_END(); 

public:
  void setUp();
  void tearDown();

  // Tests
  void testCreateSubItem();
  void testEqualItem();
};

#endif // _PROJECTITEM_TEST_H
